QUIO Compatible Browser Notice

Please note that QUIO requires an HTML5 compliant web browser with JavaScript enabled. We support the latest versions of  specific browsers. These versions are:

Google Chrome, version 29 and 30
Firefox, version 23 and 24
Safari, version 7

You can see what version you are using by visiting whatbrowser.org. This site also offers links to the latest version of each browser. 

Please note that we will be supporting the Internet Explorer 11 by February 1, 2015.